%define module 	XML-Records
%define version 0.12
%define release 5mdk

Summary:	%{module} perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group:		Development/Perl
URL:		http://www.omsdev.com/ebohlman/ 
Source0:	%{module}-%{version}.tar.bz2
Requires: 	perl
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  perl-devel
BuildRequires:	perl-XML-TokeParser
BuildArch:	noarch

%description
%{module} - module for perl

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
%{__make}


%install
rm -rf $RPM_BUILD_ROOT
%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install


%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST Changes
%{_mandir}/*/*
%{perl_vendorlib}/XML

%changelog
* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.12-5mdk
- rebuild
- Own dir

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.12-4mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Pixel <pixel@mandrakesoft.com> 0.12-3mdk
- add "BuildRequires: perl-devel"

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.12-2mdk
- rebuild for perl 5.8.0

* Mon Mar 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.12-1mdk
- 0.12

* Wed Sep 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.10-2mdk
- fixes from Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- BuildRequires:	perl-XML-TokeParser

* Tue Jul 31 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.10-1mdk
- 0.10
- s!Copyright!License!
- added URL

* Tue Feb 20 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.01-2mdk
- little changes in licence

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.01-1mdk
- added in contribs by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- First Mandrake Release



